Redmine - Feature #8365

Git: per project setting to report last commit or not in repository tree
2011-05-13 05:27 - Toshi MARUYAMA

Status: Closed Start date: 2011-05-13
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 1.2.0

Resolution: Fixed

Description

Git repository tree browsing is very slow.
Please see defect #7047.

note-12 of #4773

Actually, what is really slow when browsing a git repository is to get information about last change on each file using git log -n 1.
When removing this, browsing is pretty fast. Maybe we should disable this.
Related issues:
Related to Redmine - Defect #7047: Git adapter very slow when a commit modifi... New 2010-12-04

Associated revisions

Revision 5768 - 2011-05-13 05:51 - Toshi MARUYAMA

scm: git: get "extra_report_last_commit" value from extra_info (#8365, #7047).

Browsing repository tree performance problem is git only.
So, adding new "report_last_commit" column is very expensive.

Revision 5769 - 2011-05-13 05:51 - Toshi MARUYAMA

scm: switch to save repository setting params in "extra_" or not (#8365, #7047).

Revision 5770 - 2011-05-13 05:52 - Toshi MARUYAMA

scm: use repository merge_extra_info() to save extra_ parameter (#8365, #7047).

Revision 5771 - 2011-05-13 05:52 - Toshi MARUYAMA
scm: git: add check box of whether reporting last commit for files and directories in project setting (#8365, #7047).

Browsing repository tree performance problem is git only.
So, adding new "report_last_commit" column is very expensive.

Revision 5772 - 2011-05-13 05:53 - Toshi MARUYAMA

scm: git: use i18n text whether reporting last commit for files and directories in project setting (#8365, #7047).

Revision 5773 - 2011-05-13 05:54 - Toshi MARUYAMA

scm: git: add Japanese translation of whether reporting last commit for files and directories in project setting (#8365, #7047).

Revision 5774 - 2011-05-13 05:54 - Toshi MARUYAMA

scm: update locales of whether reporting last commit for files and directories in project setting (#8365, #7047).

Revision 5775 - 2011-05-13 05:55 - Toshi MARUYAMA

scm: git: show only filename and filesize if setting of reporting last commit is disable (#8365, #7047).

Revision 5776 - 2011-05-13 06:34 - Toshi MARUYAMA

scm: git: use symbol instead of string whether reporting last commit in project setting i18n text (#8365).

History

#1 - 2011-05-13 06:40 - Toshi MARUYAMA
- File git-tree-no-report.png added

- Status changed from New to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

| finished implementing in r5776.

root @ master illy 5tatistics | Branch: | master S| | Tag: | 2 | | Revision: :]
Name Size
8 3 images
[® | edit.png 1.3 kB

B 2 sources
¥| watchers_controller.rb 1.5 kB
8 ' this_is_a_really_long_and_verbose_directory_name
filename with a leading space.txt 56 Bytes
README 198 Bytes
copied_README 198 Bytes
filemane with spaces.txt 44 Bytes
new_file.txt 25 Bytes
renamed_test.txt 55 Bytes

Latest revisions

# Date Author Comment
B3ca5fds @ 09/27/2010 04:14 Felix Schafer Add a filename with a leading and trailing whitespace
am
ed5hb786 O ® (09/19/2010 04:59 Felix Schdfer Add a filename with spaces in its name
am
Files
